Make FWD behave the same as OE regarding input through

09/26/2023 05:52 PM - Theodoros Theodorou

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Base Language - Bug #5538: fix readByte() for DirStream, ProcessSt... Closed

History

#1 - 09/26/2023 05:52 PM - Theodoros Theodorou

- Parent task set to #5538

- Tracker changed from Bug to Feature

#2 - 09/26/2023 05:53 PM - Theodoros Theodorou

- Parent task deleted (#5538)

#3 - 09/26/2023 05:53 PM - Theodoros Theodorou

- Related to Bug #5538: fix readByte() for DirStream, ProcessStream, and others added

#4 - 09/27/2023 07:42 AM - Greg Shah

- Start date deleted (09/26/2023)

- Description updated

Please recall that we never use the Description field of the Redmine header.  The task details always go into the first note.  From Theodoros:

OE has been detected to have weird results when running the following code:

def var m as memptr no-undo.

SET-SIZE(m) = 3.

input through 'echo abc'.

import m.

input close.

message get-byte(m, 1). // In OE it returns 0

message get-byte(m, 2). // In OE it returns 0

message get-byte(m, 3). // In OE it returns 0

 

when trying to read the output of a process into a memptr. The goal is to make the FWD implementation identical to OE even though OE looks a bit

'buggy'. Ref: #5538

Powered by TCPDF (www.tcpdf.org)

05/06/2024 1/1

https://proj.goldencode.com/issues/5538
http://www.tcpdf.org

